s3games.engine

## Class Location

- java.lang.Object
- - s3games.engine.Location

-     public class Location
      extends java.lang.Object

  Representation of a single location on the game board

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.awt.Point` | `camera` point in the real-world game board image obtained from camera where this location has its center
    `IndexedName` | `name` name of the location with one or two optional indexes
    `java.awt.Point` | `point` point in the simulated game board image where this location has its center
    `boolean` | `relevant` a flag of location relevancy for the game state as copied from the location type
    `RobotLocation` | `robot` a configuration of robot arm to reach the point above and at the location
    `java.lang.String` | `type` name of type of the location

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Location(java.lang.String name)` construct a location with this name, setup other parameters manually

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### name

          public IndexedName name

      name of the location with one or two optional indexes

    - #### type

          public java.lang.String type

      name of type of the location

    - #### point

          public java.awt.Point point

      point in the simulated game board image where this location has its center

    - #### camera

          public java.awt.Point camera

      point in the real-world game board image obtained from camera where this location has its center

    - #### robot

          public RobotLocation robot

      a configuration of robot arm to reach the point above and at the location

    - #### relevant

          public boolean relevant

      a flag of location relevancy for the game state as copied from the location type

  - ### Constructor Detail

    - #### Location

          public Location(java.lang.String name)

      construct a location with this name, setup other parameters manually